<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateBaseConfigTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('base_config', function (Blueprint $table) {
            $table->string('group', 255)->comment('配置组名');
            $table->string('name', 255)->comment('名称');
            $table->string('key', 200)->comment('配置名');
            $table->text('value')->nullable()->comment('说明');
            $table->text('comment')->nullable()->comment('说明');
            $table->unsignedInteger('sort')->nullable()->comment('排序');
            $table->integer('expiration');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('base_config');
    }
}
